function i = decidi(x)
%DECIDI Determina a quale radice c'è stata convergenza. 
%
% I = DECIDI(X) decide quale radice del polinomio x^3 + 1 è più vicina 
% all'approssimazione data in X. La funzione ritorna 1, 2 o 3 a seconda se
% X è più vicina a 1, \sqrt{3}/2 + 1/2 i o \sqrt{3}/2 - 1/2 i. 

r = [ -1.0 , .5 + 1i * sqrt(3)/2, .5 - 1i * sqrt(3)/2 ];
[~, i] = min(r - x);

end
