function y = horner(p,x)
%HORNER Metodo di Horner per valutare un polinomio P. 
%
% Y = HORNER(P, X) valuta il polinomio definito dai coefficienti nel 
% vettore P nel punto X del piano complesso. La valutazione è eseguita con 
% la regola di Horner. Ad esempio  per un polinomio di grado 4:
%
%  Y = (((P(5)*x + P(4)) * X + P(3)) * X + P(2)) * X + P(1)

y = p(1);

for i = 2 : length(p)
  % Attenzione, qui usiamo .* e non semplicemente * perchè ammettiamo il
  % caso in cui X sia un vettore, e la valutazione vada fatta in ogni punto
  % del vettore. 
  y = y .* x + p(i);
end

